Cloud DNS API, REST: DnsZone.UpsertRecordSets
Method without strict control for changing zone state. Nothing happens if deleted record doesn't exist.
Deletes records that match all specified fields which allows to delete only specified records from a record set.
HTTP request
POST https://dns.api.cloud.yandex.net/dns/v1/zones/{dnsZoneId}:upsertRecordSets
Path parameters
|
Field |
Description |
|
dnsZoneId |
string Required field. ID of the DNS zone to upsert record sets to. To get a DNS zone ID, make a DnsZoneService.List request. The maximum string length in characters is 255. |
Body parameters
{
"deletions": [
{
"name": "string",
"type": "string",
"ttl": "string",
"data": [
"string"
],
"description": "string"
}
],
"replacements": [
{
"name": "string",
"type": "string",
"ttl": "string",
"data": [
"string"
],
"description": "string"
}
],
"merges": [
{
"name": "string",
"type": "string",
"ttl": "string",
"data": [
"string"
],
"description": "string"
}
]
}
|
Field |
Description |
|
deletions[] |
Delete only specified records from corresponding record sets. The maximum number of elements is 1000. |
|
replacements[] |
Entirely replace specified record sets. The maximum number of elements is 1000. |
|
merges[] |
Replace specified records or add new ones if no such record sets exists. The maximum number of elements is 1000. |
RecordSet
A record set. For details about the concept, see Resource record.
|
Field |
Description |
|
name |
string Domain name. The string length in characters must be 1-254. |
|
type |
string Record type. The string length in characters must be 1-20. |
|
ttl |
string (int64) Time to live in seconds. Acceptable values are 0 to 2147483647, inclusive. |
|
data[] |
string Data of the record set. The string length in characters for each value must be 1-1024. The number of elements must be in the range 1-100. |
|
description |
string Description of the record set. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |